import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _INImage } from "./INImage.js";
import type { _INIntentDonationMetadata } from "./INIntentDonationMetadata.js";
import type { INShortcutAvailabilityOptions } from "./INShortcutAvailabilityOptions.js";
export declare class _INIntent extends _NSObject {
    static alloc(): _INIntent;
    static new(): _INIntent;
    init(): _INIntent;
    /**
     * Set an image associated with a parameter on the receiver. This image will be used in display of the receiver throughout the system.
     */
    setImage$forParameterNamed$(image: _INImage | null, parameterName: _NSString): void;
    imageForParameterNamed$(parameterName: _NSString): _INImage | null;
    /**
     * The image most relevant for display to the receiver, accounting for both parameter-associated images and other images defined in the receiver.
     */
    keyImage(): _INImage | null;
    /**
     * Returns the identifier of the receiver. Could be used to keep track of the entire transaction for resolve, confirm and handleIntent
     */
    identifier(): _NSString | null;
    /**
     * A human-understandable string representation of the intent's user-facing behavior
     */
    intentDescription(): _NSString | null;
    /**
     * A human-understandable string that can be shown to the user as an suggestion of the phrase they might want to use when adding intent as a shortcut to Siri.
     */
    suggestedInvocationPhrase(): _NSString | null;
    setSuggestedInvocationPhrase$(value: _NSString | null): void;
    /**
     * Defines additional contexts in which this intent is relevant to be suggested to the user. Applies to intents donated using INInteraction or set as suggested using INVoiceShortcutCenter.
     */
    shortcutAvailability(): INShortcutAvailabilityOptions;
    setShortcutAvailability$(value: INShortcutAvailabilityOptions): void;
    /** A metadata object to attach additional metadata to this intent when donated */
    donationMetadata(): _INIntentDonationMetadata | null;
    setDonationMetadata$(value: _INIntentDonationMetadata | null): void;
}
export interface _INIntent extends _NSCopying, _NSSecureCoding {
}
